Support » Plugin: Google Analytics Dashboard for WP (GADWP) » Newest version causing dashboard issue

Viewing 12 replies - 1 through 12 (of 12 total)
  • Screenshot below:

    http://grab.by/yRru

    Plugin Author Alin Marcu

    (@deconf)

    Member

    Thanks for your feedback! Can you tell me the last error from Google Analytics -> General Settings -> Debugging Data?

    Unfortunately, those pages aren’t loading for me either. Is there a file where that’s stored on the server?

    Plugin Author Alin Marcu

    (@deconf)

    Member

    Yes, you should find related errors in your PHP error log. Have you tried to uninstall and re-install again?

    Hmm. Actually, the three subpages are appearing; however, the General settings page is not.

    My main error log doesn’t show any errors related to this plugin at all, actually. I’m getting one error that repeats, but it looks like it’s related to the stripe plugin I use to process payments on the site (glad to see that, I’ll have to look into it).

    Here’s a gist of the log, but I don’t think it will be helpful: https://gist.github.com/redfishbluefishmedia/3330a29fd30cd761994b

    Plugin Author Alin Marcu

    (@deconf)

    Member

    check your PHP error log which is under the wp-admin folder

    No errors in that one since May, and none related to this plugin. Sorry; wish I could be more helpful here!

    Plugin Author Alin Marcu

    (@deconf)

    Member

    Have you tried to uninstall and reinstall it again? It’s strange, because the behavior clearly indicates a fatal error …

    Do you mean deleting the files and downloading them again from the repo? I haven’t done that – until right now. I started to delete the files, then realized that for some reason, I also have Google Analyticator installed.

    I deactivated that, and it immediately fixed itself. My guess is that if you added any functions in the last update, one of them is using the same name as a function used by Google Analyticator. A very unlikely problem, but possible at least.

    In any event, the two plugins are quite similar, so no one should have the two both installed (I like yours better) – but it appears there’s a conflict.

    Plugin Author Alin Marcu

    (@deconf)

    Member

    Yes it is, we both use GAPI library, and I switched to latest version!

    I use composer and force autoloading for PHP greater than 5.3.0 but that won’t solve the conflict if other plugins don’t do the same or the user has a lower PHP version.

    Sounds like he doesn’t force autoloading then. I’m on php 5.3.27

    Thanks for your help; it’s much appreciated! I’m comfortable updating on the remainder of my sites, now – yours is one of the plugins I now install on every site I build. Thanks so much for your good work!

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘Newest version causing dashboard issue’ is closed to new replies.